Debian Bug report logs - #603673
RTL8111/8168B problems

version graph

Package: linux-2.6; Maintainer for linux-2.6 is Debian Kernel Team <debian-kernel@lists.debian.org>;

Reported by: Paul van der Vlis <paul@vandervlis.nl>

Date: Tue, 16 Nov 2010 09:39:01 UTC

Severity: normal

Tags: moreinfo

Merged with 558316, 609388, 610561

Found in version 2.6.32-29

Fixed in version 2.6.32-30

Done: Moritz Mühlenhoff <jmm@inutil.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Install Team <debian-boot@lists.debian.org>:
Bug#603673; Package installation-reports. (Tue, 16 Nov 2010 09:39:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Paul van der Vlis <paul@vandervlis.nl>:
New Bug report received and forwarded. Copy sent to Debian Install Team <debian-boot@lists.debian.org>. (Tue, 16 Nov 2010 09:39:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Paul van der Vlis <paul@vandervlis.nl>
To: submit@bugs.debian.org
Subject: RTL8111/8168B problems
Date: Tue, 16 Nov 2010 10:27:59 +0100
Package: installation-reports

Boot method: netinstaller CD
Image version:
http://cdimage.debian.org/cdimage/squeeze_di_beta1/amd64/iso-cd/debian-squeeze-di-beta1-amd64-netinst.iso
Date: 15-11-2010

Machine: Custom machine with Asus M4A88T-M mainboard
Processor: AMD Athlon II X2 250 3.0 Ghz.
Memory: 2 GB PC3 Kingston unbuffered ECC ( KVR1333D3E9S/2G )
Partitions: no partitons (problem was before partitioning)

Output of lspci -knn (or lspci -nn):
-----------------
00:00.0 Host bridge [0600]: Advanced Micro Devices [AMD] RS780 Host
Bridge Alternate [1022:9601]
	Subsystem: ASUSTeK Computer Inc. Device [1043:843e]
00:01.0 PCI bridge [0604]: ASUSTeK Computer Inc. RS880 PCI to PCI bridge
(int gfx) [1043:9602]
00:0a.0 PCI bridge [0604]: Advanced Micro Devices [AMD] RS780 PCI to PCI
bridge (PCIE port 5) [1022:9609]
	Kernel driver in use: pcieport
00:11.0 SATA controller [0106]: ATI Technologies Inc SB700/SB800 SATA
Controller [IDE mode] [1002:4390]
	Subsystem: ASUSTeK Computer Inc. M4A785TD Motherboard [1043:8389]
	Kernel driver in use: ahci
00:12.0 USB Controller [0c03]: ATI Technologies Inc SB700/SB800 USB
OHCI0 Controller [1002:4397]
	Subsystem: ASUSTeK Computer Inc. Device [1043:8389]
	Kernel driver in use: ohci_hcd
00:12.1 USB Controller [0c03]: ATI Technologies Inc SB700 USB OHCI1
Controller [1002:4398]
	Subsystem: ASUSTeK Computer Inc. Device [1043:8389]
	Kernel driver in use: ohci_hcd
00:12.2 USB Controller [0c03]: ATI Technologies Inc SB700/SB800 USB EHCI
Controller [1002:4396]
	Subsystem: ASUSTeK Computer Inc. Device [1043:8389]
	Kernel driver in use: ehci_hcd
00:13.0 USB Controller [0c03]: ATI Technologies Inc SB700/SB800 USB
OHCI0 Controller [1002:4397]
	Subsystem: ASUSTeK Computer Inc. Device [1043:8389]
	Kernel driver in use: ohci_hcd
00:13.1 USB Controller [0c03]: ATI Technologies Inc SB700 USB OHCI1
Controller [1002:4398]
	Subsystem: ASUSTeK Computer Inc. Device [1043:8389]
	Kernel driver in use: ohci_hcd
00:13.2 USB Controller [0c03]: ATI Technologies Inc SB700/SB800 USB EHCI
Controller [1002:4396]
	Subsystem: ASUSTeK Computer Inc. Device [1043:8389]
	Kernel driver in use: ehci_hcd
00:14.0 SMBus [0c05]: ATI Technologies Inc SBx00 SMBus Controller
[1002:4385] (rev 3c)
	Subsystem: ASUSTeK Computer Inc. M4A785TD Motherboard [1043:8389]
00:14.1 IDE interface [0101]: ATI Technologies Inc SB700/SB800 IDE
Controller [1002:439c]
	Subsystem: ASUSTeK Computer Inc. Device [1043:8389]
	Kernel driver in use: pata_atiixp
00:14.2 Audio device [0403]: ATI Technologies Inc SBx00 Azalia (Intel
HDA) [1002:4383]
	Subsystem: ASUSTeK Computer Inc. M4A785TD Motherboard [1043:836c]
	Kernel driver in use: HDA Intel
00:14.3 ISA bridge [0601]: ATI Technologies Inc SB700/SB800 LPC host
controller [1002:439d]
	Subsystem: ASUSTeK Computer Inc. Device [1043:8389]
00:14.4 PCI bridge [0604]: ATI Technologies Inc SBx00 PCI to PCI Bridge
[1002:4384]
00:14.5 USB Controller [0c03]: ATI Technologies Inc SB700/SB800 USB
OHCI2 Controller [1002:4399]
	Subsystem: ASUSTeK Computer Inc. Device [1043:8389]
	Kernel driver in use: ohci_hcd
00:18.0 Host bridge [0600]: Advanced Micro Devices [AMD] Family 10h
Processor HyperTransport Configuration [1022:1200]
00:18.1 Host bridge [0600]: Advanced Micro Devices [AMD] Family 10h
Processor Address Map [1022:1201]
00:18.2 Host bridge [0600]: Advanced Micro Devices [AMD] Family 10h
Processor DRAM Controller [1022:1202]
00:18.3 Host bridge [0600]: Advanced Micro Devices [AMD] Family 10h
Processor Miscellaneous Control [1022:1203]
00:18.4 Host bridge [0600]: Advanced Micro Devices [AMD] Family 10h
Processor Link Control [1022:1204]
01:05.0 VGA compatible controller [0300]: ATI Technologies Inc RS880
[Radeon HD 4250] [1002:9715]
	Subsystem: ASUSTeK Computer Inc. Device [1043:843e]
	Kernel driver in use: radeon
01:05.1 Audio device [0403]: ATI Technologies Inc RS880 Audio Device
[Radeon HD 4200] [1002:970f]
	Subsystem: ASUSTeK Computer Inc. Device [1043:843e]
	Kernel driver in use: HDA Intel
02:00.0 Ethernet controller [0200]: Realtek Semiconductor Co., Ltd.
RTL8111/8168B PCI Express Gigabit Ethernet controller [10ec:8168] (rev 06)
	Subsystem: ASUSTeK Computer Inc. Device [1043:8432]
	Kernel driver in use: r8169
--------------------

Base System Installation Checklist:
[O] = OK, [E] = Error (please elaborate below), [ ] = didn't try it

Initial boot:           [O]
Detect network card:    [E]
Configure network:      [E]
Detect CD:              [ ]
Load installer modules: [ ]
Detect hard drives:     [ ]
Partition hard drives:  [ ]
Install base system:    [ ]
Clock/timezone setup:   [ ]
User/password setup:    [ ]
Install tasks:          [ ]
Install boot loader:    [ ]
Overall install:        [ ]

Comments/Problems:

Network does not work.

dmesg | grep r8169 says:
-----------
[    1.631302] r8169 Gigabit Ethernet driver 2.3LK-NAPI loaded
[    1.631346] r8169 0000:02:00.0: PCI INT A -> GSI 18 (level, low) ->
IRQ 18
[    1.631396] r8169 0000:02:00.0: setting latency timer to 64
[    1.631400] r8169 0000:02:00.0: unknown MAC, using family default
[    1.631464] r8169 0000:02:00.0: irq 26 for MSI/MSI-X
[   25.723418] r8169: eth0: link down
-------------

With regards,
Paul van der Vlis





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install Team <debian-boot@lists.debian.org>:
Bug#603673; Package installation-reports. (Mon, 29 Nov 2010 17:51:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Denis Laxalde <dlaxalde@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Install Team <debian-boot@lists.debian.org>. (Mon, 29 Nov 2010 17:51:05 GMT) Full text and rfc822 format available.

Message #10 received at 603673@bugs.debian.org (full text, mbox):

From: Denis Laxalde <dlaxalde@gmail.com>
To: Paul van der Vlis <paul@vandervlis.nl>, 603673@bugs.debian.org
Subject: Re: Bug#603673: RTL8111/8168B problems
Date: Mon, 29 Nov 2010 12:48:54 -0500
tags 603673 + moreinfo
thanks

Hi,

On Tue, 16 Nov 2010 10:27:59 +0100, Paul van der Vlis wrote:
> RTL8111/8168B PCI Express Gigabit Ethernet controller [10ec:8168]
> (rev 06) Subsystem: ASUSTeK Computer Inc. Device [1043:8432]
> 	Kernel driver in use: r8169
> --------------------
> 
> Base System Installation Checklist:
> [O] = OK, [E] = Error (please elaborate below), [ ] = didn't try it
> 
> Initial boot:           [O]
> Detect network card:    [E]
> Configure network:      [E]

It seems that your 8168 card does not work with the r8169 shipped with
Linux kernel 2.6.32. However, from #531172, it seems that this module
used to work with Lenny's kernel. Can you confirm this?

Thanks in advance,

Denis 




Added tag(s) moreinfo. Request was from Denis Laxalde <dlaxalde@gmail.com> to control@bugs.debian.org. (Mon, 29 Nov 2010 17:51:07 GMT) Full text and rfc822 format available.

Merged 603673 609388. Request was from Miguel Figueiredo <elmig@debianpt.org> to control@bugs.debian.org. (Sun, 09 Jan 2011 22:36:10 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install Team <debian-boot@lists.debian.org>:
Bug#603673; Package installation-reports. (Tue, 11 Jan 2011 02:45:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to <ConradS@MIT.EDU>:
Extra info received and forwarded to list. Copy sent to Debian Install Team <debian-boot@lists.debian.org>. (Tue, 11 Jan 2011 02:45:03 GMT) Full text and rfc822 format available.

Message #19 received at 603673@bugs.debian.org (full text, mbox):

From: "Stephen Conrad" <ConradS@MIT.EDU>
To: "Denis Laxalde" <dlaxalde@gmail.com>, <603673@bugs.debian.org>
Subject: Bug#603673: RTL8111/8168B problems & Bug#609388
Date: Mon, 10 Jan 2011 21:42:11 -0500
Dennis,

I noticed that you had replied to a bug with which mine (#609388) had been
merged, and had requested information about the RTL8111 operating under
Lenny.

I also failed to install squeeze (amd64) due to the network card issue, but
was able to successfully install a copy of Lenny (5.0.4 i386) that I had
lying around.  Under Lenny DHCP does work and I am able to generally surf
the web.  (I have some issues with lenny and the update manager, but I don't
think they are related).

I would be happy to provide any diagnostic info you could make use of.

Regards,
Stephen





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install Team <debian-boot@lists.debian.org>:
Bug#603673; Package installation-reports. (Tue, 11 Jan 2011 05:57:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to <ConradS@MIT.EDU>:
Extra info received and forwarded to list. Copy sent to Debian Install Team <debian-boot@lists.debian.org>. (Tue, 11 Jan 2011 05:57:03 GMT) Full text and rfc822 format available.

Message #24 received at 603673@bugs.debian.org (full text, mbox):

From: "Stephen Conrad" <ConradS@MIT.EDU>
To: <603673@bugs.debian.org>, <609388@bugs.debian.org>
Subject: Workaround
Date: Tue, 11 Jan 2011 00:52:07 -0500
I have found a workaround.  It seems that while the Squeeze installer cannot
seem to utilize the RTL8111, the resulting installation does not have the
problem.

I executed the following steps:
1) Installed an old 10/100 PCI network card I had lying around
2) Booted from netinstall CD:
http://cdimage.debian.org/cdimage/squeeze_di_beta2/amd64/iso-cd/debian-squee
ze-di-beta2-amd64-netinst.iso
3) Ignored requests for "rtl8168d-1.fw"
4) Selected the old network card for use during installation
5) After installation and reboot both cards were fully functional
immediately, no non-free sources were required
6) Removed old 10/100 card from my system and "hey presto" I have a Squeeze
install.

Here is the relevant line from "lspci -knn" output of the final setup:
02:00.0 Ethernet controller [0200]: Realtek Semiconductor Co., Ltd.
RTL8111/8168B PCI Express Gigabit Ethernet controller [10ec:8168] (rev 03)
	Subsystem: Micro-Star International Co., Ltd. Device [1462:7642]
	Kernel driver in use: r8169

I would be willing to boot the install CD and do any diagnostic tests that
may help the developers track this one down.

Regards,
Stephen





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install Team <debian-boot@lists.debian.org>:
Bug#603673; Package installation-reports. (Tue, 11 Jan 2011 08:33:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to 603673@bugs.debian.org:
Extra info received and forwarded to list. Copy sent to Debian Install Team <debian-boot@lists.debian.org>. (Tue, 11 Jan 2011 08:33:07 GMT) Full text and rfc822 format available.

Message #29 received at 603673@bugs.debian.org (full text, mbox):

From: Matthew Palmer <mpalmer@debian.org>
To: ConradS@MIT.EDU
Cc: 603673@bugs.debian.org, 609388@bugs.debian.org
Subject: Re: Bug#603673: Workaround
Date: Tue, 11 Jan 2011 19:31:34 +1100
On Tue, Jan 11, 2011 at 12:52:07AM -0500, Stephen Conrad wrote:
> I have found a workaround.  It seems that while the Squeeze installer cannot
> seem to utilize the RTL8111, the resulting installation does not have the
> problem.
> 
> I executed the following steps:
> 1) Installed an old 10/100 PCI network card I had lying around
> 2) Booted from netinstall CD:
> http://cdimage.debian.org/cdimage/squeeze_di_beta2/amd64/iso-cd/debian-squee
> ze-di-beta2-amd64-netinst.iso
> 3) Ignored requests for "rtl8168d-1.fw"
> 4) Selected the old network card for use during installation
> 5) After installation and reboot both cards were fully functional
> immediately, no non-free sources were required
> 6) Removed old 10/100 card from my system and "hey presto" I have a Squeeze
> install.

That's interesting... does the kernel request any firmware when you boot
with just the RTL8111, and if so, what firmware file does it load?  Which
package provides that firmware file?

- Matt




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install Team <debian-boot@lists.debian.org>:
Bug#603673; Package installation-reports. (Wed, 12 Jan 2011 03:48:13 GMT) Full text and rfc822 format available.

Acknowledgement sent to <ConradS@MIT.EDU>:
Extra info received and forwarded to list. Copy sent to Debian Install Team <debian-boot@lists.debian.org>. (Wed, 12 Jan 2011 03:48:13 GMT) Full text and rfc822 format available.

Message #34 received at 603673@bugs.debian.org (full text, mbox):

From: "Stephen Conrad" <ConradS@MIT.EDU>
To: <603673@bugs.debian.org>
Subject: RE: Bug#603673: Workaround
Date: Tue, 11 Jan 2011 22:37:06 -0500
Matthew,

After the installer completed and the CD ejected, I rebooted the machine and
it booted strait into the graphical interface without any requests for
firmware.  At that point I verified that eth1 (the pci card) had an IP
address and I pinged a few sites.  When I moved the ethernet cable from the
pci card to the onboard RTL8111 adapter it just worked.  I had an IP for
eth0, pinged a few sites, checked my email...

It seems to me that perhaps the installed system had patches that the
installer did not include, or perhaps the installer was prompting for
firmware that it should not have needed in the first place...

Stephen





Merged 603673 609388 610561. Request was from Miguel Figueiredo <elmig@debianpt.org> to control@bugs.debian.org. (Wed, 19 Jan 2011 22:39:05 GMT) Full text and rfc822 format available.

Bug reassigned from package 'installation-reports' to 'linux-2.6'. Request was from Miguel Figueiredo <elmig@debianpt.org> to control@bugs.debian.org. (Fri, 21 Jan 2011 01:06:03 GMT) Full text and rfc822 format available.

Forcibly Merged 558316 603673 609388 610561. Request was from Miguel Figueiredo <elmig@debianpt.org> to control@bugs.debian.org. (Fri, 21 Jan 2011 01:06:06 GMT) Full text and rfc822 format available.

Bug Marked as found in versions 2.6.32-29. Request was from Ben Hutchings <ben@decadent.org.uk> to control@bugs.debian.org. (Sun, 23 Jan 2011 04:33:16 GMT) Full text and rfc822 format available.

Bug Marked as fixed in versions 2.6.32-30. Request was from Ben Hutchings <ben@decadent.org.uk> to control@bugs.debian.org. (Sun, 23 Jan 2011 04:33:19 GMT) Full text and rfc822 format available.

Message #45 received at 558316-done@bugs.debian.org (full text, mbox):

From: Moritz Mühlenhoff <jmm@inutil.org>
To: 549185-done@bugs.debian.org, 558316-done@bugs.debian.org, 560425-done@bugs.debian.org, 560719-done@bugs.debian.org
Subject: Closing
Date: Tue, 2 Jul 2013 22:28:50 +0200
Hi,
your bug has been filed against the "linux-2.6" source package and was filed for
a kernel older than the recently released Debian 7.x / Wheezy with a severity
less than important.

We don't have the ressources to reproduce the complete backlog of all older kernel
bugs, so we're closing this bug for now. If you can reproduce the bug with Debian Wheezy
or a more recent kernel from testing or unstable, please reopen the bug by sending
a mail to control@bugs.debian.org with the following three commands included in the
mail:

reopen BUGNUMBER
reassign BUGNUMBER src:linux
thanks

Cheers,
        Moritz



Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 31 Jul 2013 07:27:54 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 10:40:47 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.